Subject: Offline Message from ABDULMAJEED ALHARBI : This is the first buying experienc
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 13 Jul 2020 22:16:21 -0000

From: ABDULMAJEED ALHARBI  <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/trackhistory/track/shipmenttrack/id/ZVJET29wZ0ZjRERWTEZST3o2cEd4dz09/key/2/
Department: 

This is the first buying experience from the site I received the product and it was not packed in its original box only No packaging or plastic was placed on it I did not open it now I will convey my bad experience in the communication sites. Social and I will contact my official authorities to ban my dealings with you I will document the process with photos and videos

----
Zopim
https://www.zopim.com